GHSA-m8pw-h8qj-rgj9

Suggest an improvement
Source
https://github.com/advisories/GHSA-m8pw-h8qj-rgj9
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2019/02/GHSA-m8pw-h8qj-rgj9/GHSA-m8pw-h8qj-rgj9.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-m8pw-h8qj-rgj9
Aliases
  • CVE-2016-10673
Published
2019-02-18T23:44:24Z
Modified
2023-11-08T03:58:19.539177Z
Severity
  • 8.1 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
ipip-coffee downloads Resources over HTTP
Details

Affected versions of ipip-coffee insecurely download resources over HTTP.

In scenarios where an attacker has a privileged network position, they can modify or read such resources at will. This could impact the integrity and availability of the data being used to make geolocation decisions by an application.

Recommendation

No patch is currently available for this vulnerability.

The best mitigation is currently to avoid using this package, using a different package if available.

Alternatively, the risk of exploitation can be reduced by ensuring that this package is not installed while connected to a public network. If the package is installed on a private network, the only people who can exploit this vulnerability are those who have compromised your network or those who have privileged access to your ISP, such as Nation State Actors or Rogue ISP Employees.

References

Affected packages

npm / ipip-coffee

Package

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
1.0.9